AuthenticatorBase.AllowCorsPreflight (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.authenticator

## Enum AuthenticatorBase.AllowCorsPreflight

- java.lang.Object
- - java.lang.Enum<AuthenticatorBase.AllowCorsPreflight>
  - - org.apache.catalina.authenticator.AuthenticatorBase.AllowCorsPreflight

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticatorBase.AllowCorsPreflight>
  Enclosing class:
    AuthenticatorBase

      protected static enum AuthenticatorBase.AllowCorsPreflight
      extends Enum<AuthenticatorBase.AllowCorsPreflight>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS`
    `FILTER`
    `NEVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticatorBase.AllowCorsPreflight` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticatorBase.AllowCorsPreflight[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final AuthenticatorBase.AllowCorsPreflight NEVER

    - #### FILTER

          public static final AuthenticatorBase.AllowCorsPreflight FILTER

    - #### ALWAYS

          public static final AuthenticatorBase.AllowCorsPreflight ALWAYS

  - ### Method Detail

    - #### values

          public static AuthenticatorBase.AllowCorsPreflight[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticatorBase.AllowCorsPreflight c : AuthenticatorBase.AllowCorsPreflight.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticatorBase.AllowCorsPreflight valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.